> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vocalistic.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Agents



## OpenAPI

````yaml /api-reference/openapi.json get /v1/agents
openapi: 3.1.0
info:
  description: ''
  title: Vocalistic API
  version: 1.0.0
servers:
  - url: https://api.vocalistic.ai
security: []
paths:
  /v1/agents:
    get:
      tags:
        - Agents
      summary: List Agents
      operationId: apps_agents_api_list_agents
      parameters:
        - in: query
          name: cursor
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Cursor
        - in: query
          name: limit
          required: false
          schema:
            default: 50
            maximum: 100
            minimum: 1
            title: Limit
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AgentPage'
          description: OK
      security:
        - ApiKeyAuth: []
        - UserSessionAuth: []
components:
  schemas:
    AgentPage:
      properties:
        data:
          items:
            $ref: '#/components/schemas/AgentOut'
          title: Data
          type: array
        next_cursor:
          anyOf:
            - type: string
            - type: 'null'
          title: Next Cursor
      required:
        - data
        - next_cursor
      title: AgentPage
      type: object
    AgentOut:
      properties:
        created_at:
          format: date-time
          title: Created At
          type: string
        creativity:
          title: Creativity
          type: number
        description:
          title: Description
          type: string
        greeting:
          title: Greeting
          type: string
        has_webhook_secret:
          title: Has Webhook Secret
          type: boolean
        id:
          title: Id
          type: string
        instructions:
          title: Instructions
          type: string
        knowledge:
          items:
            $ref: '#/components/schemas/DocumentOut'
          title: Knowledge
          type: array
        language:
          title: Language
          type: string
        max_reply_chars:
          title: Max Reply Chars
          type: integer
        name:
          title: Name
          type: string
        status:
          title: Status
          type: string
        tools:
          items:
            $ref: '#/components/schemas/ToolOut'
          title: Tools
          type: array
        updated_at:
          format: date-time
          title: Updated At
          type: string
        voice:
          title: Voice
          type: string
      required:
        - id
        - name
        - description
        - status
        - language
        - voice
        - greeting
        - instructions
        - creativity
        - max_reply_chars
        - tools
        - knowledge
        - has_webhook_secret
        - created_at
        - updated_at
      title: AgentOut
      type: object
    DocumentOut:
      properties:
        bytes:
          title: Bytes
          type: integer
        chars:
          title: Chars
          type: integer
        created_at:
          format: date-time
          title: Created At
          type: string
        id:
          title: Id
          type: string
        kind:
          title: Kind
          type: string
        mime:
          title: Mime
          type: string
        name:
          title: Name
          type: string
      required:
        - id
        - name
        - kind
        - mime
        - bytes
        - chars
        - created_at
      title: DocumentOut
      type: object
    ToolOut:
      properties:
        config:
          additionalProperties:
            type: string
          title: Config
          type: object
        enabled:
          title: Enabled
          type: boolean
        id:
          title: Id
          type: string
      required:
        - id
        - enabled
        - config
      title: ToolOut
      type: object

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.